<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/UI/UITextView+XHXPlaceholder.m 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_text_view_09_x_h_x_placeholder_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">UITextView+XHXPlaceholder.m 文件参考</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#import &quot;<a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html">UITextView+XHXPlaceholder.h</a>&quot;</code><br />
<code>#import &lt;objc/runtime.h&gt;</code><br />
</div>
<p><a href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:a490bf7b6b2739a8b4778c865fbeca869"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a490bf7b6b2739a8b4778c865fbeca869">k_text_view_place_holder</a>&#160;&#160;&#160;@&quot;text_view_place_holder&quot;</td></tr>
<tr class="separator:a490bf7b6b2739a8b4778c865fbeca869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02b16c01e4b9d4d07c2a0abe1fb15c07"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a02b16c01e4b9d4d07c2a0abe1fb15c07">k_text_view_place_holder_label</a>&#160;&#160;&#160;@&quot;text_view_place_holder_label&quot;</td></tr>
<tr class="separator:a02b16c01e4b9d4d07c2a0abe1fb15c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a485d33e93188fe77a2f8b01a75a18a54"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#a485d33e93188fe77a2f8b01a75a18a54">k_text_view_place_holder_font</a>&#160;&#160;&#160;@&quot;text_view_place_holder_font&quot;</td></tr>
<tr class="separator:a485d33e93188fe77a2f8b01a75a18a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2c3892af4131d4a2f1efda3cae1080b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html#ad2c3892af4131d4a2f1efda3cae1080b">k_text_view_place_holder_color</a>&#160;&#160;&#160;@&quot;text_view_place_holder_color&quot;</td></tr>
<tr class="separator:ad2c3892af4131d4a2f1efda3cae1080b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">宏定义说明</h2>
<a id="a490bf7b6b2739a8b4778c865fbeca869"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a490bf7b6b2739a8b4778c865fbeca869">&#9670;&nbsp;</a></span>k_text_view_place_holder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define k_text_view_place_holder&#160;&#160;&#160;@&quot;text_view_place_holder&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html">UITextView+XHXPlaceholder.m</a> 第 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html#l00012">12</a> 行定义.</p>

</div>
</div>
<a id="ad2c3892af4131d4a2f1efda3cae1080b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2c3892af4131d4a2f1efda3cae1080b">&#9670;&nbsp;</a></span>k_text_view_place_holder_color</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define k_text_view_place_holder_color&#160;&#160;&#160;@&quot;text_view_place_holder_color&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html">UITextView+XHXPlaceholder.m</a> 第 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="a485d33e93188fe77a2f8b01a75a18a54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a485d33e93188fe77a2f8b01a75a18a54">&#9670;&nbsp;</a></span>k_text_view_place_holder_font</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define k_text_view_place_holder_font&#160;&#160;&#160;@&quot;text_view_place_holder_font&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html">UITextView+XHXPlaceholder.m</a> 第 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a02b16c01e4b9d4d07c2a0abe1fb15c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02b16c01e4b9d4d07c2a0abe1fb15c07">&#9670;&nbsp;</a></span>k_text_view_place_holder_label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define k_text_view_place_holder_label&#160;&#160;&#160;@&quot;text_view_place_holder_label&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html">UITextView+XHXPlaceholder.m</a> 第 <a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m_source.html#l00013">13</a> 行定义.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_ae34ab756cc452970fecf85032fd951c.html">UI</a></li><li class="navelem"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8m.html">UITextView+XHXPlaceholder.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
